Search customer role.

Search customer role details in the system.

SecurityoAuth2
Request
path Parameters
customerId
required
integer <int64>

Customer unique identifier and which is associated with the token legal entity

query Parameters
page
integer >= 1

Page index (1-based). Defaults to 1 if not provided. Must be greater than 0.

Example: page=1
size
integer >= 1

Number of records per page. Defaults to 10 if not provided. Must be greater than 0.

Example: size=10
roleName
string^[a-zA-Z0-9 ]+$

Role name.

Responses
200

OK

400

Bad request

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

500

Internal server error

503

Service unavailable

default

Get role details

get/api/user-management/v1/customers/{customerId}/roles/search
Request samples
Response samples
application/json
{
  • "totalElements": 1212,
  • "totalPages": 40,
  • "size": 50,
  • "page": 1,
  • "data": [
    ]
}